| AOMedia AV1 Codec

Data Fields
IntraBCMVCosts Struct Reference

Holds mv costs for intrabc. More...

`#include <block.h>`

## Data Fields
int | joint_mv [4]
int | dv_costs_alloc [2][((((1<<(11+1+2)) - 1)<< 1)+1)]
| Cost of transmitting the actual motion vector. dv_costs_alloc[0][i] is the cost of motion vector with horizontal component (mv_row) equal to i - MV_MAX. dv_costs_alloc[1][i] is the cost of motion vector with vertical component (mv_col) equal to i - MV_MAX.
int * | dv_costs [2]

## Detailed Description

Holds mv costs for intrabc.

## Field Documentation

## ◆ joint_mv

int IntraBCMVCosts::joint_mv[4]

Costs for coding the joint mv.

Referenced by rd_pick_intrabc_mode_sb().

## ◆ dv_costs

int* IntraBCMVCosts::dv_costs[2]

Points to the middle of dv_costs_alloc.

Referenced by rd_pick_intrabc_mode_sb().

The documentation for this struct was generated from the following file:

- av1/encoder/block.h